org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

All Implemented Interfaces:
  JdbcRawBinarylizable

Direct Known Subclasses:
  JdbcBatchExecuteResult, JdbcBinaryTypeGetResult, JdbcBinaryTypeNameGetResult, JdbcBulkLoadAckResult, JdbcCachePartitionsResult, JdbcMetaColumnsResult, JdbcMetaIndexesResult, JdbcMetaParamsResult, JdbcMetaPrimaryKeysResult, JdbcMetaSchemasResult, JdbcMetaTablesResult, JdbcQueryExecuteMultipleStatementsResult, JdbcQueryExecuteResult, JdbcQueryFetchResult, JdbcQueryMetadataResult, JdbcUpdateBinarySchemaResult

    public class JdbcResult
    extends Object
    implements JdbcRawBinarylizable

JDBC response result.

### Field Summary

Fields
`static byte` `BATCH_EXEC` Batch queries.

### Constructor Summary

Constructors
Constructor and Description
`JdbcResult(byte type)` Constructs result.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `readBinary(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`static JdbcResult` `readResult(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)`
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BATCH_EXEC

    public static final byte BATCH_EXEC

Batch queries.

See Also:
  Constant Field Values

### Constructor Detail

#### JdbcResult

    public JdbcResult(byte type)

Constructs result.

Parameters:
  `type` - Type of results.

### Method Detail

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### readResult

    public static JdbcResult readResult(BinaryReaderExImpl reader,
                                        JdbcProtocolContext protoCtx)
                                 throws BinaryObjectException

Parameters:
  `reader` - Binary reader.
  `protoCtx` - Binary context.
Returns:
  Request object.
Throws:
  `BinaryObjectException` - On error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022